Download it now!
Bug 64652 - allow autocorrect entries longer than 30 digits
Summary: allow autocorrect entries longer than 30 digits
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Linguistic (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: low enhancement
Assignee: Andras Timar
URL:
Whiteboard: target:4.1.0 target:4.0.4 target:3.6.7
Keywords:
Depends on:
Blocks:
 
Reported: 2013-05-15 21:21 UTC by tommy27
Modified: 2015-10-10 06:32 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description tommy27 2013-05-15 21:21:23 UTC
this issue is has been inherited from OOo.

the autocorrect replacement table does not actually accepts entries longer than 30 digits in the "replace" field.

I do not know what's the rationale behind this lenght limitation, but I'd like that longer strings could be handled as well.
Comment 1 Andras Timar 2013-05-16 11:35:14 UTC
It would be easy to fix this at
http://opengrok.libreoffice.org/xref/core/cui/uiconfig/ui/acorreplacepage.ui#68
if we knew that this restriction did not make sense.
I'll send a patch to gerrit.
Comment 2 tommy27 2013-05-16 12:52:37 UTC
as I said before I don't know if this limitation that is present since "jurassic" early OOo versions has been taken to preserve performance of the autocorrect recognition engine.

I would try to double that limit from 30 to 60 to see if it slows down typing or any other routine activity working on Writer.

I'd be glad to beta-test such a patched LibO version and "stress" the autocorrect engine.
Comment 3 Commit Notification 2013-05-16 15:42:34 UTC
Andras Timar committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=e601660b89768dc01d0ef73ec3e6579d26b30f96

fdo#64652 remove length restriction of Replace edit box



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 4 tommy27 2013-05-21 04:55:46 UTC
just tested on Windows Vista 64bit using LibO 4.1.0.0.alpha1+
Build ID: de00b8bb67b7453b45e081fe602782803eab134

nice!!! well done Andras!!! you are my hero!!!

the new autocorrect now handles entries longer than 30 digits (I tried even with a 100 digit entry) without any issue and it has no side effects during typing!!!

what you think about backporting this fix to LibO 4.0.4 as well?
looking at the committ report I see that it has been a very simple, yet effective, hack.
Comment 5 Commit Notification 2013-05-21 09:49:51 UTC
Andras Timar committed a patch related to this issue.
It has been pushed to "libreoffice-4-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=91820e31aad5e85e5a584c143e60694772f10ac5&h=libreoffice-4-0

fdo#64652 remove length restriction of Replace edit box


It will be available in LibreOffice 4.0.4.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 6 tommy27 2013-06-22 10:16:27 UTC
@Andras Timar

VERIFIED on LibO 4.0.4

I tried autocorrect entries up to 400 digits and it works with no issue.

do you think that this fix could be safely backported to LibO 3.6.7 as well?
Comment 7 Commit Notification 2013-06-23 04:17:31 UTC
Andras Timar committed a patch related to this issue.
It has been pushed to "libreoffice-3-6":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=c3bd749c3da8e8c20e3acca3b8fed3df5c229abb&h=libreoffice-3-6

fdo#64652 remove length restriction of Replace edit box


It will be available in LibreOffice 3.6.7.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 8 tommy27 2013-06-23 06:33:39 UTC
@Andra Timar
thank you very much.